#!/usr/bin/python
# -*- coding: utf-8 -*-
#Ce CV est réellement exécutable en python (version 3)
import os

def Civilit2() :
	Nom 		= "Hébert ";
	Prenom 		= "David ";
	Age 		= "33 ans (12/12/1983) ";
	Position 	= "PRAG de mathématiques au département informatique de l'IUT de Villetaneuse (université paris 13)";
	nb_enf		= str(2)
	Situation 	= "Marié, " + nb_enf + " enfants";
	
	print(Nom+'\n'+Prenom+'\n'+Age+'\n'+Position+'\n'+Situation+'\n');

def Parcours() :
	P=dict()
	P["2013-    "] = "Professeur agrégé (PRAG) de mathématiques - université Paris 13"
	P["2012-2013"] = "Enseignant de mathématiques - collège Iqbal Masih (la Plaine Saint-Denis, 93)"
	P["2012     "] = "Doctorat de mathématiques (mention très honorable)"
	P["2011-2012"] = "ATER à l'université Paris 13"
	P["2008-2011"] = "Thèse de mathématique au LAGA de l'université Paris 13 (UMR 7539)"
	P["2007     "] = "Agregation de mathématiques (rang 116)"
	P["2002-2008"] = "DEUG en math/info (~L1+L2), licence de math, maitrise de math , Master de math"
	P["2002     "] = "BAC S (lycée Galilée - Gennevilliers, 92)"
	
	for i in P :
		print(i+'\n:'+P[i])

def Enseignements() :
	E=dict()
	E["Math à l'IUT"]   = "J'enseigne en DUT informatique tous les cours du programme de math sur les 4 semestres (deux années) : logique, algèbre, analyse, théorie des graphes, proba, crypto, etc. J'intervient au département Réseau & télécom' pour le cours de crypto"
	E["Info à l'IUT"]   = ""
	E["Info à l'IUT"]  += "-J'enseigne le cours d'introduction à la programmation en S2."+'\n'
	E["Info à l'IUT"]  +="-Dans le cadre de mes cours d'analyse et de cryptographie, j'organise (et note) des TP en python."+'\n'
	E["Info à l'IUT"]  +="-Dans le cadre du cours de théorie des graphes, j'ai programmé des QCM à réaliser en ligne sur ma page web."+'\n'
	E["Info à l'IUT"]  +="-J'encadre des étudiants du département informatique dans leur projets de fin de semestre."
	E["Math ailleurs"]  = ""
	E["Math ailleurs"] +="2014- : Enseignant des mathématiques du DAEUB."+'\n'
	E["Math ailleurs"] +="2017- : Enseignant de math pour le DAEUB CNED."+'\n'
	E["Math ailleurs"] +="2017- : Expert formateur pour l'université Paris 13 - Préparation au concours d'ADJAENES."
	E["De 2008 à 2011"] =""
	E["De 2008 à 2011"]+="Dans le cadre du monitorat lié à mon activité de recherche j'ai assuré :"+'\n'
	E["De 2008 à 2011"]+="-des cours-TD de math en L1 math/info (premier semestre)."+'\n'
	E["De 2008 à 2011"]+="-des cours de préparation aux oraux de l'agregation de math."+'\n'
	E["De 2008 à 2011"]+="-des cours d'informatique (langage C) en formation d'ingénieur en energétique."+'\n'
	E["De 2008 à 2011"]+="-occasionnellement des colles en prépa (institut Galilée)."+'\n'
	E["De 2008 à 2011"]+="-une formation sur l'utilisation du LaTeX pour les doctorants de l'école doctorale Galilée."
	E["De 2004 à 2007"] ="Tuteur pour les étudiants en L1 et L2 de math (soutient scolaire à midi)"
	
	for i in E :
		print(i+':\n'+E[i])
		
def Responsabilit2s() : 
	R=dict()
	R[0] = "2013-2017 : directeur des études du S2R"
	R[1] = "2015- : directeur des études du DUT en apprentissage"
	R[2] = "2017- : directeur adjoint à la formation initiale"
	R[3] = "2014- : Membre du jury de selection à l'entrée du DUT informatique"
	R[4] = "2017- : Membre de la commission de poursuite d'étude"
	R[5] = "2015-2019 : Membre élu (pour l'IUT) à la commission d'harmonisation des enseignants du secondaire"
	R[6] = "2013- Représentant pour le département informatique/l'IUT dans le secondaire (salon européen de l'étudiant, salon PostBac, salon de l'apprentissage, intervention dans des lycées, journées portes ouvertes etc.)"
	R[7] = "2008-2011 : Représentant des doctorants au conseil du laboratoire (LAGA)"
	R[8] = "2004-2007 : Coordinateur de l'équipe de tuteur de la licence math"
	
	for i in range(0,2**3+1) :
		print(R[i])

def Recherches() :
	Directeur 	  = "Jörg Wildeshauss - LAGA (UMR 7539) de l'université Paris 13"
	Sujet 		  = "Étude des motifs (de Beilinson) - J'ai, entre autre,  abouti à la construction d'une structure de poids"
	Date 		  = "J'ai soutenu ma thèse intitulée 'Structures de poids : homologique & motivique' en juin 2012"
	Publications  = ""
	Publications +="'Structures de poids à la Bondarko sur les motifs de Beilinson', Compositio Mathematica volume 147 issue 05 (2011)."+'\n'
	Publications +="Le foncteur de filtration par le poids', Regulators: Regulators III Conference, July 12-22, 2010, Barcelona, Spain."+'\n'
	Publications +="Complexe de poids, Dualité et Motifs de Beilinson', arXiv : 1010.5469, octobre 2010."
	Epilogue 	  = "Après avoir obtenu mon doctorat, j'ai choisi de mettre un terme à mes activités de recherche"

	print(Directeur+'\n'+Sujet+'\n'+Date+'\n'+Publications+'\n'+Epilogue)
	
def Mais_Aussi() :
	MA=dict()
	MA[0] = "Trésorier et membre fondateur (à l'époque étudiant) d'une association (RissalaParis13) d'aide en personne en difficuté (distribution de repas, vetements, visite aux personnes agées etc.)"
	MA[1] = "J'ai appris en autodidacte les technologies du web (HTML, CSS, PHP, SQL) ainsi que le langage python"
	MA[2] = "J'aime les dragibus"
	MA[3] = "Cinéfile de niveau platine"
	
	for i in range(0,2**2) :
		print(MA[i])

choix=0
while(choix!=7) :
	os.system("cls")
	try : 
		choix = int(input("Curicullum Vitae\n1.Civilité\n2.Parcours\n3.Enseignements\n4.Responsabilités\n5.Recherches\n6.Mais aussi\n7.STOP\nChoix : "))
	except :
		choix = 0
	
	os.system("cls")
	if(choix==1) :
		Civilit2()
	elif(choix==2) :
		Parcours()
	elif(choix==3) :
		Enseignements()
	elif(choix==4) :
		Responsabilit2s()
	elif(choix==5) :
		Recherches()
	elif(choix==6) :
		Mais_Aussi()
	os.system("pause")